/*
 *   demo6: demonstrates run_rx() usage
 */

#include <stdio.h>
#include "srexx.h"

int call_back(string, len)
  char *string;
  int len;
{
  printf ("call_back: received \"%s\"\n", string);
  return(0);
}

void dsp(exit_value, len_exit_value, rc)
  char *exit_value;
  int len_exit_value, rc;
{
  if (exit_value)
   { printf ("demo6: exit_value = \"%s\",  len = %d\n",
             exit_value, len_exit_value);
     free(exit_value);
   }
  printf ("demo6: return code = %d\n", rc);
}

main()
{
  char *exit_value;
  SAV_COMP *compiled;
  int len_exit_value, rc;

  env_rx("MyEnv", call_back, 1);

  /*
   * Compiled form not saved
   */
  run_rx("r_demo6", "../..", NULL, NULL, NULL);

  /*
   * Compiled form saved
   */
  compiled = NULL;    /*  **** MANDATORY **** */
  rc = run_rx("r_demo6", "../..", &compiled,
              &exit_value, &len_exit_value);
  dsp(exit_value, len_exit_value, rc);

  /*
   * run_rx() will use the previous compiled form
   */
  rc = run_rx("r_demo6 1", "../..", &compiled,
              &exit_value, &len_exit_value);
  dsp(exit_value, len_exit_value, rc);

  /*
   * run_rx() will recompile r_demo6  because we modify it
   */
  system("touch r_demo6");
  rc = run_rx("r_demo6 2", "../..", &compiled,
              &exit_value, &len_exit_value);
  dsp(exit_value, len_exit_value, rc);

  rc = run_rx("r_demo6 3", "../..", &compiled,
               &exit_value, &len_exit_value);
  dsp(exit_value, len_exit_value, rc);

}
