EXEC - Pass UNIX Command Directly

EXEC(cmd{, stem}) executes the UNIX command cmd directly.

S/REXX attempts to execute directly the cmd string passed without using
any UNIX shell. The PATH is not searched and the usual shell redirection
">" and pipe "|" characters are not treated specifically. Shell meta
characters like "*" are also passed without expansion.

On WINDOWS systems, EXEC() is identical to the WINDOWS() built-in
function.

When stem is not provided, the cmd output will be placed in the stack. The
user will be able to read it using the parse pull command.

The QUEUED() function may be used to return the number of lines in the
stack.

When stem is provided, it must me a valid REXX name. It will be filled
with the cmd output.

Example:        call exec "/bin/ls *", tab
                         /* lists a file actually named * */

                tab.0 will contain the number of lines sent back by
                /bin/ls.

                tab.1, tab.2, ... will contain the ls output line by line.


Note: EXEC() not supporting the meta characters, use CSH() or KSH() to
      pass a command such as call csh 'ls ~/foo*.c'


See also the EXECV(), UNIX(), CSH(), TCSH() and KSH() functions.
