FILECONV - Unix or Windows File Conversion

FILECONV(string)

string:  "Unix" or "Windows"

When string is set to Unix (the default on UNIX systems), S/REXX considers
that a line in a file ends with a newline character.

When string is set to Windows (the default on Windows systems), S/REXX
considers that a line in a file ends either with a newline character or
with a ^M character followed by a newline character. In addition, a ^Z
character encountered alone on a line will indicate an end of file
condition.

When writing to a file, S/REXX will terminate every line with a ^M
character before the newline character, and end the file with a ^Z
character following the last newline character.

Using FILECONV('W') on UNIX systems permits the reading of Windows files
eliminating ^M and ^Z characters.

Using FILECONV('U') on Windows systems permits the writing of files
without ^M and ^Z characters, making them easier to share with UNIX
systems.


Example:        call fileconv 'u'
