SockSelect - Monitor Sockets


rc = SockSelect('reads.', 'writes.', 'excepts.' {,tt})
rc = select('reads.', 'writes.', 'excepts.' {,tt})

monitor the activity of the specified sockets.

rc          the number of ready sockets, or -1 in case of failure.

'reads.'    the stem specifying the sockets to be checked for readability.
            When omitted, or specified as an empty string, no socket is
            checked for readability.

reads.0     the number of sockets to be checked for readability.

reads.n     the n'th socket to be checked for readability.

'writes.'   the stem specifying the sockets to be checked for readiness
            for writing. When omitted, or specified as an empty string, no
            socket is checked for readiness for writing.

writes.0    the number of sockets to be checked for readiness for writing.

writes.n    the n'th socket to be checked for readiness for writing.

'excepts.'  the stem specifying the sockets to be checked for exceptional
            pending conditions (out-of-band data in the receive buffer).
            When omitted, or specified as an empty string, no socket is
            checked for exceptional pending conditions.

excepts.0   the number of sockets to be checked for exceptional pending
            conditions.

excepts.n   the n'th socket to be checked for exceptional pending
            conditions.

tt          the timeout amount in seconds before SockSelect() returns
            when no socket is ready. When tt is set to 0, SockSelect()
            does not wait before returning. If no timeout value is passed,
            or if tt is an empty string (""), SockSelect() does not return
            until one socket becomes ready.

SockSelect() sets the errno variable to 0 in case of success, or to one of
the following error codes:

EBADF       the argument s is not a valid file descriptor.

EINTR       a signal was delivered before any of the selected events
            occurred, or the time limit expired. Example:

sock_in  = SockSocket("AF_INET", "SOCK_STREAM", 0)
sock_out = SockSocket("AF_INET", "SOCK_STREAM", 0)
do forever
  reads.0 = 1
  reads.1 = sock_in
  writes.0 = 1
  writes.1 = sock_out
  excepts.0 = 2
  excepts.1 = sock_in
  excepts.2 = sock_out
  call SockSelect 'reads.', 'writes.', 'excepts.', 1.5
  do i = 1 to reads.0
     say reads.i 'is ready for reading'
  end
  do i = 1 to writes.0
     say writes.i 'is ready for writing'
  end
  do i = 1 to excepts.0
     say excepts.i 'is exceptional'
  end
end
