#
# UNIX like settings
#
set nbkeys 10 12 15
set HOME        R5
set IHOME       R7
set INS         R4
set APL         R15
set DOWN_FIELD  LF
set UP_FIELD    Alt
set EOF         Escape
set BACKSPACE   ^h

#
set F5          ONLY switch
set F6          ONLY c_endline
set F7          ONLY backward
set F8          ONLY forward
set F9          ONLY ?
set F10         ONLY home
set F11         ONLY undo
set F12         ONLY =
set S-F2        ONLY c_ext
set S-F3        ONLY file
set S-F5        ONLY iswitch
set S-F6        ONLY c_endcurl
set S-F7        ONLY pgup
set S-F8        ONLY pgdown
set S-F9        ONLY ?i
set S-F10       ONLY home
set S-F11       ONLY redo
set S-F12       ONLY bot
set C-F3        ONLY flfile
set C-F7        ONLY left40
set C-F8        ONLY right40
set C-F10       ONLY delayhome
set M-F4        ONLY prompt_exit
set R6          ONLY backward
set R9          ONLY forward
set S-R1        ONLY flquit
set S-R2        ONLY complete reverse
set S-R3        ONLY file
set S-R6        ONLY top
set S-R9        ONLY bot
set C-R3        ONLY flfile
set ^-          ONLY nexterror
set ^=          ONLY c_dup
set ^F          ONLY flow
set ^H          ONLY s_help
set ^L          ONLY leftadjust
set ^M          ONLY match cursor
set ^R          ONLY rightadjust
set ^X          ONLY s_xed
set ^d          ONLY c_linedel
set ^f          ONLY flist
set ^h          ONLY c_scrh
set ^l          ONLY s_lower
set ^m          ONLY match
set ^p          ONLY printfile
set ^q          ONLY   aquit
set ^r          ONLY tree
set ^t          ONLY tree
set ^u          ONLY s_upper
set ^v          ONLY s_paste SHELF
set ^w          ONLY c_scrj
set ^z          ONLY undo

# text formatting
set ^F ONLY flow
set ^L ONLY leftadjust
set ^R ONLY rightadjust

# Prints the file currently edited
set ^p ONLY printfile


# See the next compilation error
set ^- ONLY nexterror

# Useful to see what we are editing
set ^n ONLY f "$fn" *
set ^N ONLY f "$fn" * "$fd"
set ^D ONLY f * * "$fd"


#
#  "Control-R6" (R6 <--> PgUp) will comment in or out the selection,
#   or the cursor line
#
set c-r6 ONLY filter "$xhome/filters/$arch/toggle_comment"

#
#  "Control-F10" will clear the command field without moving the cursor
#
set c-f10 ONLY delayhome

#
# Specific settings
#

set ^a   ONLY c_lineadd
set ^A   ONLY s_set all
set ^x   ONLY s_xed
set F1   ONLY s_find
set S-F1 ONLY s_find
set C-F1 ONLY s_find
set M-F1 ONLY s_find
set S+C-F1 ONLY s_find
set F2   ONLY s_cut
set F3   ONLY s_copy
set F4   ONLY s_paste
set R3   ONLY save
set R2   ONLY complete
set R1   ONLY aquit
set C-R1 ONLY flquit
set ^s   ONLY c_split
set ^c   ONLY smart_comp 0
set ^C   ONLY smart_comp 1
set ^g   ONLY smart_compd 0
set ^G   ONLY smart_compd 1
mousemode openlook
setp "F1:Find  F2:Cut  F3:Copy  F4:Paste  F9:?  F11:Undo  R1:Quit  R3:Save"
